Subject: Re: [GSoC RFC PATCH v4 0/4] repo: add new command for retrieving repository info

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 15 Jul 2025 13:58:55 +0200

On Tue, Jul 15, 2025 at 12:34:42PM +0200, Oswald Buddenhagen wrote:
> On Mon, Jul 14, 2025 at 08:52:27PM -0300, Lucas Seiki Oshiro wrote:
> > - Renames the command to `repo` instead of `repo-info`. All the
> > functionality
> >  of `repo-info` will now be under `repo info`. The functionality of `survey`
> >  will be moved to another subcommand of `git repo`.
> > 
> this strikes me as a bad idea, given how established the `repo` tool is.

The `repo` tool wouldn't be executed as `git repo` though, would it? So
I'm not sure whether that really is relevant at all. On the other hand
though I do see that it might be confusing when you interact with the
`repo` tool on a daily basis.

> without much thinking and reading prior conversations, i'd go with "query",
> because it's a database-like metadata ... query.
> the obvious followup idea would then be "meta", but that suggests that it
> isn't only a read-only command, which i think it is supposed to remain?

"Query" is way too generic from my point of view, as it doesn't say
_what_ you query. "Meta" might be a bit better even though it still
loses the information that you act on the repository level, which is a
bit of a shame.

We could of course adapt and call it git-repository(1) to avoid any
confusion with git-repo(1) and repo(1). It's not like this is a tool
that users would typically have to run daily outside of scripts, so I
don't think it hurts much to have a longer command name.

Patrick